---
document: modulemd
version: 2
data:
  name: ruby
  stream: "3.1"
  version: 9010020221019102014
  context: 8cf767d6
  arch: s390x
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: 4f1e5e9f48df872a4595494f58bfc3eb8a9b7a31
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: e8b82bc12045089bbdb262c6ef4bb610d187c707
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: c65bdee50421e88eb4042cdffa712ddaac9ff11b
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
---
document: modulemd
version: 2
data:
  name: ruby-devel
  stream: "3.1"
  version: 9010020221019102014
  context: 8cf767d6
  arch: s390x
  summary: An interpreter of object-oriented scripting language
  description: >-
    Ruby is the interpreted scripting language for quick and easy object-oriented
    programming.  It has many features to process text files and to do system management
    tasks (as in Perl).  It is simple, straight-forward, and extensible.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el9]
    requires:
      platform: [el9]
  references:
    community: http://ruby-lang.org/
    documentation: https://www.ruby-lang.org/en/documentation/
    tracker: https://bugs.ruby-lang.org/
  profiles:
    common:
      rpms:
      - ruby
  api:
    rpms:
    - ruby
    - ruby-bundled-gems
    - ruby-default-gems
    - ruby-devel
    - ruby-libs
    - rubygem-bigdecimal
    - rubygem-bundler
    - rubygem-io-console
    - rubygem-irb
    - rubygem-json
    - rubygem-minitest
    - rubygem-mysql2
    - rubygem-pg
    - rubygem-power_assert
    - rubygem-psych
    - rubygem-rake
    - rubygem-rbs
    - rubygem-rdoc
    - rubygem-rexml
    - rubygem-rss
    - rubygem-test-unit
    - rubygem-typeprof
    - rubygems
    - rubygems-devel
  components:
    rpms:
      ruby:
        rationale: An interpreter of object-oriented scripting language
        ref: 4f1e5e9f48df872a4595494f58bfc3eb8a9b7a31
        buildorder: 101
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
        multilib: [x86_64]
      rubygem-mysql2:
        rationale: A simple, fast Mysql library for Ruby, binding to libmysql
        ref: e8b82bc12045089bbdb262c6ef4bb610d187c707
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      rubygem-pg:
        rationale: A Ruby interface to the PostgreSQL RDBMS
        ref: c65bdee50421e88eb4042cdffa712ddaac9ff11b
        buildorder: 102
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
...
